#{extends 'border.html'/}
<div class="container formKontenDinamis">
#{form @cms.BannerCtr.createSubmit(), method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{cms.BannerCtr.index()}">&{'banner.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'banner.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@cms.BannerCtr.index()/}
                #{saveButton/}
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-12">
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'subjek.label'}</label>
                            <div class="col-md-8">
                                <input type="text" name="subjek" class="form-control" required>
                            </div>
                        </div>
                        *{<div class="form-group">}*
                            *{<label class="col-md-3 control-label">&{'tanggal_mulai_publikasi.label'}</label>}*
                            *{<div class="col-md-3">}*
                                *{<input class="form-control" id="date_time_picker1" name="publish_date_from"/>}*
                            *{</div>}*
                        *{</div>}*
                        *{<div class="form-group">}*
                            *{<label class="col-md-3 control-label">&{'tanggal_akhir_publikasi.label'}</label>}*
                            *{<div class="col-md-3">}*
                                *{<input class="form-control" id="date_time_picker2" name="publish_date_to"/>}*
                            *{</div>}*
                        *{</div>}*
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'gambar.label'}</label>
                            <div id="image-place" class="col-md-3">
                                <img id="blah" src="#" class="img img-responsive"/>
                            </div>
                            <div class="col-md-4">
                                <input type='file' id="imgInp" name="gambar" accept="image/jpg,image/png,image/jpeg,image/gif"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function(){
        tinymce.init({
            selector : '#isi_konten',
            menubar : true,
            images_upload_base_path : "@{'/public/files/image/banner'}",
            plugins : 'advlist autolink link image lists charmap print preview code',
            a_plugin_option: true,
            a_configuration_option: 400,
            images_upload_handler: function (blobInfo, success, failure) {
                var xhr, formData;
                xhr = new XMLHttpRequest();
                xhr.withCredentials = false;
                xhr.open('POST', '@{MediaManager.upload()}');

                xhr.onload = function() {
                    var json;

                    if (xhr.status != 200) {
                        failure('HTTP Error: ' + xhr.status);
                        return;
                    }

                    json = JSON.parse(xhr.responseText);

                    if (!json || typeof json.location != 'string') {
                        failure('Invalid JSON: ' + xhr.responseText);
                        return;
                    }

                    success(json.location);
                };

                formData = new FormData();
                formData.append('file', blobInfo.blob(), blobInfo.filename());

                xhr.send(formData);
            },
            image_caption: true,
            image_list: "@{MediaManager.listImageGallery()}"
        });

        $("#date_time_picker1").datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY HH:mm'

        });

        $("#date_time_picker2").datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY HH:mm'

        });


        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $('#image-place').hide();
        $('#tags_1').tagsInput({width:'auto'});
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#image-place').show();
                    $('#blah').attr('src', e.target.result);
                }

                reader.readAsDataURL(input.files[0]);
            }
        }

        $("#imgInp").change(function(){
            readURL(this);
        });
    });
</script>


#{/set}